# Record TCefAcceleratedPaintInfoCommon

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefAcceleratedPaintInfoCommon = record`

## Description

Structure containing shared texture common metadata. For documentation on each field, please refer to src/media/base/video_frame_metadata.h for actual details.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types_osr.h">CEF source file: /include/internal/cef_types_osr.h (cef_accelerated_paint_info_common_t))

## Overview

### Fields

| `size: NativeUInt;`
| `timestamp: uint64;`
| `coded_size: TCefSize;`
| `visible_rect: TCefRect;`
| `content_rect: TCefRect;`
| `source_size: TCefSize;`
| `capture_update_rect: TCefRect;`
| `region_capture_rect: TCefRect;`
| `capture_counter: uint64;`
| `has_capture_update_rect: byte;`
| `has_region_capture_rect: byte;`
| `has_source_size: byte;`
| `has_capture_counter: byte;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `timestamp: uint64;`
Timestamp of the frame in microseconds since capture start.

| `coded_size: TCefSize;`
The full dimensions of the video frame.

| `visible_rect: TCefRect;`
The visible area of the video frame.

| `content_rect: TCefRect;`
The region of the video frame that capturer would like to populate.

| `source_size: TCefSize;`
Full size of the source frame.

| `capture_update_rect: TCefRect;`
Updated area of frame, can be considered as the `dirty` area.

| `region_capture_rect: TCefRect;`
May reflects where the frame's contents originate from if region capture is used internally.

| `capture_counter: uint64;`
The increamental counter of the frame.

| `has_capture_update_rect: byte;`
Optional flag of capture_update_rect

| `has_region_capture_rect: byte;`
Optional flag of region_capture_rect

| `has_source_size: byte;`
Optional flag of source_size

| `has_capture_counter: byte;`
Optional flag of capture_counter

Generated by PasDoc 0.16.0-snapshot.